# opentoken
Documentation for opentoken

## Index

### Namespaces

- MLGenerator
- MLLogic_Key
- MLLogic_Send
- MLLogic_Vault
- MLParser
- SVault

### Classes

- KeyAction
- OpenTokenCLI
- SendAction
- VaultAction

### Interfaces

- OTGlobalConfig

### Variables

- commandLine

### Functions

- delay
- mkstringCN
- shuffleArray

## Variables

### Const commandLine

commandLine: OpenTokenCLI = new OpenTokenCLI()

- Defined in index.ts:25

## Functions

### delay

- delay(t: number): Promise<unknown>

- - Defined in src/util/misc.ts:44

  Wraps setTimeout into Promise

  #### Parameters

  - ##### t: number

    Millisceonds

  #### Returns Promise<unknown>

### mkstringCN

- mkstringCN(length: number): string

- - Defined in src/util/misc.ts:30

  Generate random string with specified length. Generates only numbers and capital letters.

  #### Parameters

  - ##### length: number

    length of String

  #### Returns string

  generated string

### shuffleArray

- shuffleArray(array: any[]): void

- - Defined in src/util/shuffle.ts:5

  Randomize items in an array

  #### Parameters

  - ##### array: any[]

    Array to be shuffeled

  #### Returns void

Generated using TypeDoc